Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.actions
Class NextImageAction

    java.lang.Object
      |
      +--quicktime.app.actions.PeriodicAction
            |
            +--quicktime.app.actions.SequencerAction
                  |
                  +--quicktime.app.actions.NextImageAction

All Implemented Interfaces:
  Targetable, Ticklish

public class NextImageAction
extends SequencerAction
implements Targetable

This class will display the next image of its sequence of images whenever the doAction method is called from the super class tickle method.

Field Summary
`protected ImageSettable` | `target`

Fields inherited from class quicktime.app.actions.SequencerAction
`kConstraintAny, kConstraintFirst, kConstraintFirstOrLast, kConstraintLast, seq`

Fields inherited from class quicktime.app.actions.PeriodicAction
`actor, reschedule`

Fields inherited from interface quicktime.app.time.Ticklish
`kScale`

Constructor Summary
`NextImageAction(int scale, int period, ImageSequencer images, ImageSettable target)` Creates an ImageAction.

Method Summary
`protected void` | `doAction(float er, int t)` This method does whatever actions are appropriate so that subsequent calls to getImage and getDescription return the correct image data.
`java.lang.Object` | `getTarget()` Returns the current target of the action.
`void` | `setTarget(java.lang.Object target)` Sets the Target of the NextImageAction which is an ImageSettable object.

Methods inherited from class quicktime.app.actions.SequencerAction
`constraintReached, equals, getConstraint, setConstraint`

Methods inherited from class quicktime.app.actions.PeriodicAction
`getActionable, getPeriod, getScale, getTriggerCondition, setActionable, setPeriod, setScale, setTriggerCondition, tickle, timeChanged, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface quicktime.app.time.Ticklish
`tickle, timeChanged`

Field Detail

### target

    protected ImageSettable target

Constructor Detail

### NextImageAction

    public NextImageAction(int scale,
                           int period,
                           ImageSequencer images,
                           ImageSettable target)
                    throws QTException

  Creates an ImageAction.
  Parameters:
    `scale` - the amount with which a second is divided into at a rate of one
    `period` - the number of scale ticks that elapse between invocations of the action.
    `images` - the images that will be cycled through
    `target` - this object is the target of the action.

Method Detail

### setTarget

    public void setTarget(java.lang.Object target)

  Sets the Target of the NextImageAction which is an ImageSettable object.
  Specified by:
    `setTarget` in interface `Targetable`
  Parameters:
    `target` - the new target for the Action

### getTarget

    public java.lang.Object getTarget()

  Returns the current target of the action.
  Specified by:
    `getTarget` in interface `Targetable`
  Returns:
    the target - an ImageSettable object

### doAction

    protected void doAction(float er,
                            int t)
                     throws QTException

  This method does whatever actions are appropriate so that subsequent calls to getImage and getDescription return the correct image data.
  Overrides:
    `doAction` in class `PeriodicAction`
  Parameters:
    `er` - the actual rate at which the action has been triggered
    `t` - the time in Ticklish.kScale that the action has been triggered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD